<?
/*
*******************************
 IP-SYMCON V2 Event Scripting
*******************************
File     : AVR-NET-IO_Abgleich
Trigger  : Aufruf durch AVR-NET-IO_Uebernahme - Befehl 03 (Modul / Telnet neu gestartet
Interval : 
Autor    : EHB
*/

// ID der Registervariablen (Parent-ID)
$RegVar_ID = 14853;

// Grundeinstellungen und Funktionen einbinden
include(IPS_GetScriptIDByName("AVR-NET-IO_Include",$RegVar_ID).".ips.php");

IPS_Sleep(2000); // 2 Sekunden warten - sonst Empfangsprobleme des Moduls

// Zustnde der Ausgnge anpassen
for ($i = 0; $i < 8; $i++) 
{
	$VarWert[$i] = GetValue(IPS_GetVariableIDByName($Ausgang[$i],$RegVar_ID));
	$Befehl = 26 - $VarWert[$i]; // 25 = Setzen, 26 = Rcksetzen Port; True = 1, False = 0
	$Befehl_ok = Befehl_senden($CS_ID,$Var_ID_NETIO_OK,"02 ".$Befehl." 0".$i." 03\r\n");
}

// Eingnge abfragen
for ($i = 0; $i < 4; $i++) // Digitale Eingnge
{
	Befehl_senden($CS_ID,$Var_ID_NETIO_OK,"02 11 0".$i." 03\r\n"); // Digitalen Eingang 0 .. 3 abfragen
}

for ($i = 4; $i < 8; $i++) // Analoge Eingnge
{
	Befehl_senden($CS_ID,$Var_ID_NETIO_OK,"02 30 0".$i." 03\r\n"); // Analogen Eingang 4 .. 7 abfragen
}
?>