<?
/*
*******************************
 IP-SYMCON V2 Event Scripting
*******************************
File     : AVR-NET-IO_Include
Trigger  : Einbindung in andere AVR-NET-IO - Scripte
Interval :
Autor    : EHB
*/

// Variablen definieren ********************************************************
$RegVar_ID = 14853; // ID dieses Scripts
$CS_ID = 49292; // Client-Socket-ID fr AVR-NET-IO-Modul

// Namen der Eingangsvariablen
$PortName[0] = "Schalter 0";  // Boolean
$PortName[1] = "Schalter 1";  // Boolean
$PortName[2] = "Schalter 2";  // Boolean
$PortName[3] = "Schalter 3";  // Boolean
$PortName[4] = "Messwert 4"; 	// Integer
$PortName[5] = "Messwert 5";  // Integer
$PortName[6] = "Messwert 6";  // Integer
$PortName[7] = "Messwert 7";	// Integer
// Namen der Ausgangsvariablen
$Ausgang[0] = "Ausgang 0";    // Boolean
$Ausgang[1] = "Ausgang 1";    // Boolean
$Ausgang[2] = "Ausgang 2";    // Boolean
$Ausgang[3] = "Ausgang 3";    // Boolean
$Ausgang[4] = "Ausgang 4";    // Boolean
$Ausgang[5] = "Ausgang 5";    // Boolean
$Ausgang[6] = "Ausgang 6";    // Boolean
$Ausgang[7] = "Ausgang 7";    // Boolean
$Ausgang[8] = "AVR-NET-IO-OK"; // Zustand der Verbindung zum Modul

$Var_ID_NETIO_OK = IPS_GetVariableIDByName($Ausgang[8],$RegVar_ID); // ID der Zusatndsvariable ermitteln

// Befehls-String an Modul senden **********************************************
function Befehl_senden($CS_ID,$Var_ID_NETIO_OK,$String)
{
	// Variablen setzen
	$OK = false;
	$i = 0;
	while ((!$OK) && ($i <= 5))
	{
	   SetValue($Var_ID_NETIO_OK, false); 		// OK-Variable auf false setzen
      IPS_LogMessage("Durchlauf : ",$i."  - String: ".$String);
      CSCK_SendText($CS_ID,$String); 			// Befehl senden
  		$SendeZeit = microtime(1); // Zeit bernehmen, zu der der String gesendet wurde
  		IPS_LogMessage("Sendezeit : ",$SendeZeit);
  		IPS_Sleep(300);	 							// Pause
		$VarInfo = IPS_GetVariable($Var_ID_NETIO_OK); // Variablen-Infos bernehmen
		$VarWert = $VarInfo[VariableValue][ValueBoolean]; 		// Wert der Variable bernehmen
		IPS_LogMessage("VarWert : ",$VarWert);
		$VarZeit = $VarInfo[VariableUpdated]; 	// Zeit der letzten Aktualisierung
		IPS_LogMessage("VarZeit : ",$VarZeit);
		if (($VarZeit >= $SendeZeit) && ($VarWert == true)) 	// Antwort vom Modul OK und neuer als Sendezeit
		{
		  	$OK = true;             				// Schleife verlassen
		 	IPS_LogMessage("OK ? : ",$OK);
		 }
		$i++;                         			// Versuchszhler erhhen
	}
	if ($i >= 6) // 6 Versuche - keine Antwort
	{
   	IPS_LogMessage(IPS_GetName($IPS_SELF)," Keine Antwort vom Modul!");
   	SetValue($Var_ID_NETIO_OK, false);
   	return($OK); // Funktion verlassen, Senden nicht Erfolgreich
	}
return($OK); // Funktion verlassen, Senden Erfolgreich
}
?>