<?
/*
*******************************
 IP-SYMCON V2 Event Scripting
*******************************
File     : Keep_alive
Trigger  : Script-Timer
Interval : alle 65 Sekunden, wird alle 60 Sekunden vom AVR-Modul zurckgesetzt
Autor    : EHB
*/
// Variablen *******************************************************************
$CS_ID = 49292; // Object-ID des ClientSockets
$RegVar_ID = 14853; // ID dieses Scripts
$Var_ID_NETIO_OK = IPS_GetVariableIDByName("AVR-NET-IO-OK",$RegVar_ID); // ID der Zusatndsvariable ermitteln

$VarInfo = IPS_GetVariable($Var_ID_NETIO_OK); // Variablen-Infos bernehmen
$VarWert = $VarInfo[VariableValue][ValueBoolean]; // Wert der Variable bernehmen
IPS_LogMessage("Zustand : ",$VarWert);
IPS_LogMessage("Zeit : ", time());
$VarZeit = $VarInfo[VariableUpdated]; // Zeit der letzten Aktualisierung
IPS_LogMessage("Aktualisierung : ",$VarZeit);
$DeltaZeit = (int)(time() - $VarZeit); // Zeitabstand zur letzten aktualisierung
if ($DeltaZeit >= 65)
	$DeltaZeit = 65;
IPS_LogMessage("DeltaZeit : ",$DeltaZeit);

if ($DeltaZeit >= 65)   // Restzeit >= 65 Sekunden --> zurcksetzen
{
   SetValue($Var_ID_NETIO_OK, false);
	IPS_ApplyChanges($CS_ID); // Clientsocket AVR-Net-IO wieder ffnen / zurcksetzen
   IPS_LogMessage("Reset : ","ausgefhrt");
   IPS_SetScriptTimer($IPS_SELF,(65)); // Timer neu setzen
   IPS_LogMessage("Script-Timer_neu : ",(65 - $DeltaZeit));
}
else                    // Restzeit < 65 Sekunden --> Scripttimer neu setzen
{
   SetValue($Var_ID_NETIO_OK, true);
  	IPS_SetScriptTimer($IPS_SELF,(65 - $DeltaZeit)); // Timer des aktuellen Scripts abfragen
   IPS_LogMessage("Script-Timer_neu : ",(65 - $DeltaZeit));
}
?>